
CoCoALib - Bug #1725

resultant: gives wrong answer when should be 0

05 Mar 2023 20:14 - John Abbott

Status: Closed Start date: 05 Mar 2023

Priority: High Due date:  

Assignee: John Abbott % Done: 100%

Category: Maths Bugs Estimated time: 0.75 hour

Target version: CoCoALib-0.99850 Spent time: 0.75 hour

Description

Here is a smaple input (in CoCoA-5):

/**/ A := x;

/**/ f := (A-1)*(A-2);

/**/ A := 2*x;

/**/ g := (A-1)*(A-2);

/**/ resultant(f,g,x);

6*x -6

 

Ooops!

History

#1 - 05 Mar 2023 20:15 - John Abbott

- Status changed from New to Resolved

- Assignee set to John Abbott

- % Done changed from 0 to 80

I have now fixed it.  Will add a new exbugs test, and check in.

#2 - 06 Mar 2023 20:54 - John Abbott

- % Done changed from 80 to 90

Now I think I have really fixed it!

Also added an exbugs test.

Will check in shortly.

#3 - 09 Mar 2023 20:49 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 90 to 100

- Estimated time set to 0.75 h

I have some doubts about correct SubresultanSeq is... it seemed to contain a 0 for one test input (now forgotten).

Anyway, I think resultant is correct, so closing.
